import sys;
import re;

f = open(sys.argv[1], "r");

def replace(match):
	s = "\t" + match.group(1);
	while len(s) < 14:
		s = s + " ";
	s = s + "= " + match.group(2) + ",";
	return s;


def process_entry(entry):
	for line in entry:
		line = re.sub("^\s*@([aA][rR][tT]\w*){", "@Article{", line, 1);		# Article
		line = re.sub("^\s*@([pP][rR][o]\w*){", "@Proceedings{", line, 1);		# Proceedings
		line = re.sub("^\s*@([iI][nN][pP][rR]\w*){", "@InProceedings{", line, 1);	# InProceedings
		line = re.sub("^\s*@([bB][oO]\w*){", "@Book{", line, 1);			# Book
		line = re.sub("^\s*@([cC][oO][nN]\w*){", "@InProceedings{", line, 1);		# Conference
		line = re.sub("^\s*@([Tt][eE]\w*){", "@TechReport{", line, 1);		# TechReport
		line = re.sub("^\s*@([pP][hH][dD]\w*){", "@PhDThesis{", line, 1);		# PhDThesis
		line = re.sub("^\s*@([iI][nN][bB][oO]\w*){", "@InBook{", line, 1);		# InBook
		line = re.sub("^\s*@([mM][iI]\w*){", "@Misc{", line, 1);			# InBook
		line = re.sub("^\s*@([uU][nN][pP]\w*){", "@Unpublished{", line, 1);		# Unpublished

		if re.match("^\s*[a-zA-Z]+\s*=", line):
			line = re.sub(r'^\s*(\w+)\s*=\s*({.*})\s*[\s,]\s*$', replace, line, 1);
			print(line);
		elif not re.match("^\s$", line):
			print(line, sep='', end='');
	print("\n");


entry = [];
for line in f:
	if re.match("^[ \t]*@", line):
		entry = [];
	entry.append(line);
	if re.match("^[ \t]*}", line):
		process_entry(entry);

